Bug 55660

Summary: [WK2] Make non-transparent windowless plugins paint on X11
Product: WebKit Reporter: Balazs Kelemen <kbalazs>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: alex, buildbot, kling
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on:    
Bug Blocks: 55659    
Attachments:
Description Flags
Patch
none
Patch none

Description Balazs Kelemen 2011-03-03 03:04:14 PST
Let's begin with the most basic case that is needed for Flash to paint.
Comment 1 Balazs Kelemen 2011-03-03 09:00:21 PST
Created attachment 84569 [details]
Patch
Comment 2 Build Bot 2011-03-03 12:21:43 PST
Attachment 84569 [details] did not build on win:
Build output: http://queues.webkit.org/results/8083403
Comment 3 Balazs Kelemen 2011-03-09 07:17:46 PST
Created attachment 85172 [details]
Patch

Fixed the build (speculatively). It also was a logical error.
Comment 4 Andreas Kling 2011-03-10 05:56:42 PST
Comment on attachment 85172 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=85172&action=review

Looks like a good start, r=me. :)

> Source/WebKit2/ChangeLog:24
> +        * WebProcess/Plugins/Netscape/qt/NetscapePluginQt.cpp: Removed in favour
> +        of a common implementation for X11.

We should remove NetscapePluginGtk.cpp as well.

> Source/WebKit2/WebProcess/WebCoreSupport/WebFrameLoaderClient.cpp:1223
> +        // Inject wmode=opaque to make Flash working with these conditions.

s/working with/work in/
Comment 5 Balazs Kelemen 2011-03-10 06:34:59 PST
Committed r80714: <http://trac.webkit.org/changeset/80714>